.TH MTK "1" "July 2022" "mtkclient"
.SH NAME
mtk \- reverse engineer, flash, and otherwise exploit your MediaTek device
.SH SYNOPSIS
.B mtk
[\fB\-h\fR] \fIaction\fR
.SH DESCRIPTION
.B mtk
is a tool used for exploitation, reading/writing flash, and other
interesting things on devices with MediaTek SoCs.
.SH OPTIONS
.TP
.BR \-h ", " \-\-help\fR
Show the program's built-in help message and exit.
.TP
.B printgpt
Print GPT partition table information.
.TP
\fBgpt\fR \fIdir\fR
Save GPT partition table to a directory.
.TP
\fBr\fR \fIpartition\fR \fIfilename\fR
Read a flash partition's contents to a file.
.TP
\fBrl\fR \fIdir\fR
Read all partitions from flash to a directory.
.TP
\fBrf\fR \fIfile\fR
Read entire flash contents to a file.
.TP
\fBrs\fR \fIsectors\fR \fIfile\fR
Read flash starting at a specified sector to a file.
.TP
\fBro\fR \fIoffset\fR [\fIlength\fR] \fIfile\fR
Read flash starting at offset (in hex, optionally with length) to a file.
.TP
\fBw\fR \fIpartition\fR \fIfilename\fR
Write a file's contents to a flash partition.
.TP
\fBwl\fR \fIdir\fR
Write partitions from all files in a directory to flash partitions.
.TP
\fBwf\fR \fIfile\fR
Write entire flash from a file's contents.
.TP
\fBwo\fR \fIoffset\fR [\fIlength\fR] \fIfile\fR
Write flash starting at offset (in hex, optionally with length) from a file.
.TP
\fBe\fR \fIpartition\fR
Erase a flash partition.
.TP
\fBes\fR \fIpartition\fR \fIsectors\fR
Erase a number of sectors from a flash partition.
.TP
.B footer
Read crypto footer from flash.
.TP
.B reset
Reset mtkclient.
.TP
.B dumpbrom
Attempt to dump the bootrom.
.TP
.B dumppreloader
Attempt to dump the preloader.
.TP
\fBpayload\fR \fIfile\fR
Run a specific kamakiri or da payload from a file.
.TP
.B crash
Attempt to crash the preloader.
.TP
.B brute
Brute force the kamakiri var1.
.TP
.B gettargetconfig
Get target config (sbc, daa, etc).
.TP
\fBpeek\fR \fIaddr\fR \fIlength\fR [\fB\-filename\fR \fIfile\fR]
Read a specific address of memory to length (both in hex), optionally to file.
.TP
.B stage
Run stage2 payload via bootrom.
.TP
.B plstage
Run stage2 payload via preloader.
.TP
\fBxflash\fR [\fIcommands\fR]
Run xflash special commands.
.SH COPYRIGHT
Copyright \(co 2018\-2021 Bjoern Kerler <info@revskills.de>.
.PP
.br
This is free software; see the source for copying conditions.
There is NO WARRANTY, to the extent permitted by law.
